using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Hotline.Realtimes;

namespace Hotline.Caching.Interfaces
{
    public interface IRealtimeCacheManager
    {
        Task<RealtimeConnection> GetConnectionAsync(string userId, CancellationToken cancellationToken);

        Task<bool> IsInGroupAsync(string useId, string groupName, CancellationToken cancellationToken);

        Task<RealtimeConnection> GetConnectionOtherAsync(string userId, CancellationToken cancellationToken);
    }
}
